from pydantic import BaseModel
from pydantic.types import Optional


class Document(BaseModel):
    name: str
    access: list
    data: str
    owner: str


class DocumentUpdate(BaseModel):
    name: Optional[str]
    access: Optional[list]
    data: Optional[str]
